org.eclipse.viatra.query.runtime.base.api

## Class LightweightEObjectObserverAdapter

- java.lang.Object
- - org.eclipse.viatra.query.runtime.base.api.LightweightEObjectObserverAdapter

- All Implemented Interfaces:
    LightweightEObjectObserver

      public abstract class LightweightEObjectObserverAdapter
      extends java.lang.Object
      implements LightweightEObjectObserver

  Adapter class for lightweight observer which filters feature updates to a selected set of features.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LightweightEObjectObserverAdapter(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> observedFeatures)` Creates a new adapter with the given set of observed features.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyFeatureChanged(org.eclipse.emf.ecore.EObject host, org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.common.notify.Notification notification)`
    `void` | `observeAdditionalFeature(org.eclipse.emf.ecore.EStructuralFeature observedFeature)`
    `void` | `observeAdditionalFeatures(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> observedFeatures)`
    `abstract void` | `observedFeatureUpdate(org.eclipse.emf.ecore.EObject host, org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.common.notify.Notification notification)` This method is called when the feature that changed is among the observed features of the adapter.
    `void` | `removeObservedFeature(org.eclipse.emf.ecore.EStructuralFeature observedFeature)`
    `void` | `removeObservedFeatures(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> observedFeatures)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LightweightEObjectObserverAdapter

          public LightweightEObjectObserverAdapter(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> observedFeatures)

      Creates a new adapter with the given set of observed features.

  - ### Method Detail

    - #### observeAdditionalFeature

          public void observeAdditionalFeature(org.eclipse.emf.ecore.EStructuralFeature observedFeature)

    - #### observeAdditionalFeatures

          public void observeAdditionalFeatures(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> observedFeatures)

    - #### removeObservedFeature

          public void removeObservedFeature(org.eclipse.emf.ecore.EStructuralFeature observedFeature)

    - #### removeObservedFeatures

          public void removeObservedFeatures(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> observedFeatures)

    - #### notifyFeatureChanged

          public void notifyFeatureChanged(org.eclipse.emf.ecore.EObject host,
                                           org.eclipse.emf.ecore.EStructuralFeature feature,
                                           org.eclipse.emf.common.notify.Notification notification)

      Specified by:
        `notifyFeatureChanged` in interface `LightweightEObjectObserver`

    - #### observedFeatureUpdate

          public abstract void observedFeatureUpdate(org.eclipse.emf.ecore.EObject host,
                                                     org.eclipse.emf.ecore.EStructuralFeature feature,
                                                     org.eclipse.emf.common.notify.Notification notification)

      This method is called when the feature that changed is among the observed features of the adapter.
      Parameters:
        `host` -
        `feature` -
        `notification` -